Index: src/UIElements/Views/MethodStringView.hpp
===================================================================
--- src/UIElements/Views/MethodStringView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/MethodStringView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef METHODSTRINGVIEW_HPP_
 #define METHODSTRINGVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <boost/function.hpp>
Index: src/UIElements/Views/Qt4/GLMoleculeView.hpp
===================================================================
--- src/UIElements/Views/Qt4/GLMoleculeView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/Qt4/GLMoleculeView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef GLMOLECULEVIEW_HPP_
 #define GLMOLECULEVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <QtOpenGL/QGLWidget>
Index: src/UIElements/Views/Qt4/QtMoleculeView.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtMoleculeView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/Qt4/QtMoleculeView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef MOLECULEVIEW_HPP_
 #define MOLECULEVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <string>
Index: src/UIElements/Views/Qt4/QtStatusBar.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/Qt4/QtStatusBar.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef QTSTATUSBAR_HPP_
 #define QTSTATUSBAR_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <map>
Index: src/UIElements/Views/Qt4/QtWorldView.hpp
===================================================================
--- src/UIElements/Views/Qt4/QtWorldView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/Qt4/QtWorldView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef QTMOLECULESVIEW_HPP_
 #define QTMOLECULESVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <QtGui/QTableWidget>
Index: src/UIElements/Views/StreamStringView.hpp
===================================================================
--- src/UIElements/Views/StreamStringView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/StreamStringView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef STREAMSTRINGVIEW_HPP_
 #define STREAMSTRINGVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <boost/function.hpp>
Index: src/UIElements/Views/StringView.hpp
===================================================================
--- src/UIElements/Views/StringView.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/StringView.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -8,4 +8,10 @@
 #ifndef STRINGVIEW_HPP_
 #define STRINGVIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
 
 #include <string>
Index: src/UIElements/Views/View.hpp
===================================================================
--- src/UIElements/Views/View.hpp	(revision ad011c5ac0c9bfcf699f41ee11dd4a8aa0abb89a)
+++ src/UIElements/Views/View.hpp	(revision 56f73b5512dfb946d0cfe382fc8564d60e182c52)
@@ -1,4 +1,4 @@
 /*
- * View.h
+ * View.hpp
  *
  *  Created on: Dec 14, 2009
@@ -6,6 +6,11 @@
  */
 
-#ifndef VIEW_H_
-#define VIEW_H_
+#ifndef VIEW_HPP_
+#define VIEW_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
 
 /**
@@ -21,3 +26,3 @@
 };
 
-#endif /* VIEW_H_ */
+#endif /* VIEW_HPP_ */
